osdir.com


[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Python-Dev] Pythong 3.6.5 Tests failed


I got error message that test_dtrace and test_normalization failed. Below is the messages when I reran the test. Please let me know whether these errors are okay.

Thanks,
Haritha


[root at mrkdlvaiaas2882 Python-3.6.5]# ./python -m test -v test_normalization
== CPython 3.6.5 (default, Mar 8 2019, 14:29:13) [GCC 4.8.5 20150623 (Red Hat 4.8.5-36)]
== Linux-3.10.0-957.1.3.el7.x86_64-x86_64-with-redhat-7.6-Maipo little-endian
== cwd: /tmp/python/Python-3.6.5/build/test_python_123679
== CPU count: 2
== encodings: locale=UTF-8, FS=utf-8
Run tests sequentially
0:00:00 load avg: 0.39 [1/1] test_normalization
test_bug_834676 (test.test_normalization.NormalizationTest) ... ok
test_main (test.test_normalization.NormalizationTest) ... skipped "Use of the 'urlfetch' resource not enabled"

----------------------------------------------------------------------
Ran 2 tests in 0.003s

OK (skipped=1)
1 test OK.

Total duration: 51 ms
Tests result: SUCCESS

[root at mrkdlvaiaas2882 Python-3.6.5]#  ./python -m test -v test_dtrace
== CPython 3.6.5 (default, Mar 8 2019, 14:29:13) [GCC 4.8.5 20150623 (Red Hat 4.8.5-36)]
== Linux-3.10.0-957.1.3.el7.x86_64-x86_64-with-redhat-7.6-Maipo little-endian
== cwd: /tmp/python/Python-3.6.5/build/test_python_124133
== CPU count: 2
== encodings: locale=UTF-8, FS=utf-8
Run tests sequentially
0:00:00 load avg: 0.36 [1/1] test_dtrace
skipped 'dtrace(1) failed: /bin/dtrace invalid option -q\nUsage /bin/dtrace [--help] [-h | -G] [-C [-I<Path>]] -s File.d [-o <File>]'
skipped 'dtrace(1) failed: /bin/dtrace invalid option -q\nUsage /bin/dtrace [--help] [-h | -G] [-C [-I<Path>]] -s File.d [-o <File>]'
test_function_entry_return (test.test_dtrace.SystemTapNormalTests) ... FAIL
test_gc (test.test_dtrace.SystemTapNormalTests) ... FAIL
test_line (test.test_dtrace.SystemTapNormalTests) ... FAIL
test_verify_call_opcodes (test.test_dtrace.SystemTapNormalTests)
Ensure our call stack test hits all function call opcodes ... ok
test_function_entry_return (test.test_dtrace.SystemTapOptimizedTests) ... FAIL
test_gc (test.test_dtrace.SystemTapOptimizedTests) ... FAIL
test_line (test.test_dtrace.SystemTapOptimizedTests) ... FAIL
test_verify_call_opcodes (test.test_dtrace.SystemTapOptimizedTests)
Ensure our call stack test hits all function call opcodes ... ok

======================================================================
FAIL: test_function_entry_return (test.test_dtrace.SystemTapNormalTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 32, in normalize_trace_output
    result.sort(key=lambda row: int(row[0]))
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 32, in <lambda>
    result.sort(key=lambda row: int(row[0]))
ValueError: invalid literal for int() with base 10: "semantic error: while resolving probe point: identifier 'process' at /tmp/python/Python-3.6.5/Lib/test/dtracedata/call_stack.stp:13:7"

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 118, in test_function_entry_return
    self.run_case("call_stack")
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 114, in run_case
    name, optimize_python=self.optimize_python)
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 50, in run_case
    optimize_python=optimize_python))
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 37, in normalize_trace_output
    "tracer produced unparseable output:\n{}".format(output)
AssertionError: tracer produced unparseable output:
semantic error: while resolving probe point: identifier 'process' at /tmp/python/Python-3.6.5/Lib/test/dtracedata/call_stack.stp:13:7
        source: probe process.mark("function__entry")
                      ^

semantic error: no match

Pass 2: analysis failed.  [man error::pass2]
Number of similar error messages suppressed: 3.
Rerun with -v to see them.


======================================================================
FAIL: test_gc (test.test_dtrace.SystemTapNormalTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 32, in normalize_trace_output
    result.sort(key=lambda row: int(row[0]))
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 32, in <lambda>
    result.sort(key=lambda row: int(row[0]))
ValueError: invalid literal for int() with base 10: "semantic error: while resolving probe point: identifier 'process' at /tmp/python/Python-3.6.5/Lib/test/dtracedata/gc.stp:3:7"

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 146, in test_gc
    self.run_case("gc")
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 114, in run_case
    name, optimize_python=self.optimize_python)
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 50, in run_case
    optimize_python=optimize_python))
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 37, in normalize_trace_output
    "tracer produced unparseable output:\n{}".format(output)
AssertionError: tracer produced unparseable output:
semantic error: while resolving probe point: identifier 'process' at /tmp/python/Python-3.6.5/Lib/test/dtracedata/gc.stp:3:7
        source: probe process.mark("function__entry")
                      ^

semantic error: no match

Pass 2: analysis failed.  [man error::pass2]
Number of similar error messages suppressed: 3.
Rerun with -v to see them.


======================================================================
FAIL: test_line (test.test_dtrace.SystemTapNormalTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 32, in normalize_trace_output
    result.sort(key=lambda row: int(row[0]))
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 32, in <lambda>
    result.sort(key=lambda row: int(row[0]))
ValueError: invalid literal for int() with base 10: "Input file '/tmp/python/Python-3.6.5/build/test_python_124133/dtracedata/line.stp' is missing."

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 149, in test_line
    self.run_case("line")
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 114, in run_case
    name, optimize_python=self.optimize_python)
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 50, in run_case
    optimize_python=optimize_python))
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 37, in normalize_trace_output
    "tracer produced unparseable output:\n{}".format(output)
AssertionError: tracer produced unparseable output:
Input file '/tmp/python/Python-3.6.5/build/test_python_124133/dtracedata/line.stp' is missing.
Pass 1: parse failed.  [man error::pass1]


======================================================================
FAIL: test_function_entry_return (test.test_dtrace.SystemTapOptimizedTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 32, in normalize_trace_output
    result.sort(key=lambda row: int(row[0]))
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 32, in <lambda>
    result.sort(key=lambda row: int(row[0]))
ValueError: invalid literal for int() with base 10: "semantic error: while resolving probe point: identifier 'process' at /tmp/python/Python-3.6.5/Lib/test/dtracedata/call_stack.stp:13:7"

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 118, in test_function_entry_return
    self.run_case("call_stack")
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 114, in run_case
    name, optimize_python=self.optimize_python)
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 50, in run_case
    optimize_python=optimize_python))
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 37, in normalize_trace_output
    "tracer produced unparseable output:\n{}".format(output)
AssertionError: tracer produced unparseable output:
semantic error: while resolving probe point: identifier 'process' at /tmp/python/Python-3.6.5/Lib/test/dtracedata/call_stack.stp:13:7
        source: probe process.mark("function__entry")
                      ^

semantic error: no match

Pass 2: analysis failed.  [man error::pass2]
Number of similar error messages suppressed: 3.
Rerun with -v to see them.


======================================================================
FAIL: test_gc (test.test_dtrace.SystemTapOptimizedTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 32, in normalize_trace_output
    result.sort(key=lambda row: int(row[0]))
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 32, in <lambda>
    result.sort(key=lambda row: int(row[0]))
ValueError: invalid literal for int() with base 10: "semantic error: while resolving probe point: identifier 'process' at /tmp/python/Python-3.6.5/Lib/test/dtracedata/gc.stp:3:7"

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 146, in test_gc
    self.run_case("gc")
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 114, in run_case
    name, optimize_python=self.optimize_python)
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 50, in run_case
    optimize_python=optimize_python))
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 37, in normalize_trace_output
    "tracer produced unparseable output:\n{}".format(output)
AssertionError: tracer produced unparseable output:
semantic error: while resolving probe point: identifier 'process' at /tmp/python/Python-3.6.5/Lib/test/dtracedata/gc.stp:3:7
        source: probe process.mark("function__entry")
                      ^

semantic error: no match

Pass 2: analysis failed.  [man error::pass2]
Number of similar error messages suppressed: 3.
Rerun with -v to see them.


======================================================================
FAIL: test_line (test.test_dtrace.SystemTapOptimizedTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 32, in normalize_trace_output
    result.sort(key=lambda row: int(row[0]))
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 32, in <lambda>
    result.sort(key=lambda row: int(row[0]))
ValueError: invalid literal for int() with base 10: "Input file '/tmp/python/Python-3.6.5/build/test_python_124133/dtracedata/line.stp' is missing."

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 149, in test_line
    self.run_case("line")
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 114, in run_case
    name, optimize_python=self.optimize_python)
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 50, in run_case
    optimize_python=optimize_python))
  File "/tmp/python/Python-3.6.5/Lib/test/test_dtrace.py", line 37, in normalize_trace_output
    "tracer produced unparseable output:\n{}".format(output)
AssertionError: tracer produced unparseable output:
Input file '/tmp/python/Python-3.6.5/build/test_python_124133/dtracedata/line.stp' is missing.
Pass 1: parse failed.  [man error::pass1]


----------------------------------------------------------------------
Ran 8 tests in 4.836s

FAILED (failures=6, skipped=2)
test test_dtrace failed
test_dtrace failed

1 test failed:
    test_dtrace

Total duration: 5 sec
Tests result: FAILURE
_______________________________________________________________________
If you received this email in error, please advise the sender (by return email or otherwise) immediately. You have consented to receive the attached electronically at the above-noted email address; please retain a copy of this confirmation for future reference.  

Si vous recevez ce courriel par erreur, veuillez en aviser l'exp?diteur imm?diatement, par retour de courriel ou par un autre moyen. Vous avez accept? de recevoir le(s) document(s) ci-joint(s) par voie ?lectronique ? l'adresse courriel indiqu?e ci-dessus; veuillez conserver une copie de cette confirmation pour les fins de reference future.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.python.org/pipermail/python-dev/attachments/20190308/4c575738/attachment-0001.html>